MasterEmerald.AddTransformation(
	{skin = "sonic", 
	form = {sprite = "SUPR", color = "hyper", music = {"sonsp1", "sonsp2", "ringsp"}, superrank = "SUPRRANK"}, 
	emeralds = {sprite = {{SPR_EMMS, 4}}, count = 7, scale = {FRACUNIT/2}, colors = {SKINCOLOR_GREEN, SKINCOLOR_ORANGE, SKINCOLOR_PURPLE, SKINCOLOR_BLUE, SKINCOLOR_WHITE, SKINCOLOR_RUBY, SKINCOLOR_SLATE}}},
	
	-- BUFF
	{skin = "eggman", 
	form = {sprite = "SEGG", color = "yellow", music = {"eggsp1", "eggsp2", "eggsp3", "eggsp4"}, superrank = "SEGGRANK"},
	emeralds = {sprite = {{SPR_EMCL,4}}, colors = {SKINCOLOR_RED, SKINCOLOR_YELLOW, SKINCOLOR_GREEN, SKINCOLOR_CYAN, SKINCOLOR_BLUE, SKINCOLOR_PURPLE, SKINCOLOR_WHITE}}},
	
	-- Metal Sonic
	{skin = "metalsonic", 
	form = {color = "orange", music = "mssupr", beam = SKINCOLOR_ORANGE},
	emeralds = {sprite = {{SPR_CDTS, 4}}, count = 7, colors = {SKINCOLOR_GREEN, SKINCOLOR_RED, SKINCOLOR_PURPLE, SKINCOLOR_CYAN, SKINCOLOR_BLUE, SKINCOLOR_YELLOW, SKINCOLOR_ORANGE}}},

	-- Flicky Uses the Master Emerald
	{skin = "flicky", 
	form = {color = "hyper"}, 
	emeralds = {sprite = {{SPR_EMMS, 4}}, count = 1, scale = {(3*FRACUNIT)/4}, colors = {SKINCOLOR_GREEN}}},
	
	-- Blaze uses the Sol Emeralds
	{skin = "blaze", 
	form = {color = "red", beam = SKINCOLOR_RED}, 
	emeralds = {sprite = {{SPR_SOEM, 4}}, scale = {3*FRACUNIT/4}, colors = {SKINCOLOR_RED, SKINCOLOR_BLUE, SKINCOLOR_YELLOW, SKINCOLOR_GREEN, SKINCOLOR_WHITE, SKINCOLOR_CARIBBEAN, SKINCOLOR_PURPLE}}},
	
	-- Mecha Sonic Uses the Master Emerald
	{skin = "mecha", 
	form = {color = "orange", music = {"smech1", "smech2"}, beam = SKINCOLOR_ORANGE}, 
	emeralds = {sprite = {{SPR_EMMS, 4}}, count = 1, scale = {3*FRACUNIT/4}, colors = {SKINCOLOR_GREEN}}},
	
	-- Neo Metal Sonic Uses the Master Emerald
	{skin = "neometal", 
	form = {color = "cream"}, 
	emeralds = {sprite = {{SPR_EMMS, 4}}, count = 1, scale = {3*FRACUNIT/4}, colors = {SKINCOLOR_GREEN}}},
	
	-- Asahi Uses the Phantom Ruby
	{skin = "asahi",
	form = {color = "pink", beam = SKINCOLOR_PINK}, 
	emeralds = {sprite = {{SPR_EMPR, 4}}, count = 1, colors = {SKINCOLOR_FUCHSIA}}},
	
	-- Infinite Uses the Phantom Ruby
	{skin = "infinite",
	form = {color = "red", beam = SKINCOLOR_MAROON},
	emeralds = {sprite = {{SPR_EMPR, 4}}, scale = {2*FRACUNIT}, count = 1, colors = {SKINCOLOR_FUCHSIA}}},
	
	--Fang uses the Classic Emerald using Triple Trouble 16-Bit's color order
	{skin = "fang",
	form = {color = "pink", music = "fangsp", beam = SKINCOLOR_LAVENDER},
	emeralds = {sprite = {{SPR_EMCL, 4}}, colors = {SKINCOLOR_RED, SKINCOLOR_YELLOW, SKINCOLOR_CYAN, SKINCOLOR_SLATE, SKINCOLOR_GREEN, SKINCOLOR_PURPLE, SKINCOLOR_BLUE}}},

	-- Funni mouse
	{skin = "gustavoandbrick", 
	form = {color = "hyper", music = "ptsupr"}},
	
	-- Pizza Time
	{skin = "ptpeppino", 
	form = {color = "hyper", music = "ptsupr"}},

	-- Pizza Time
	{skin = "mort", 
	form = {color = "red", music = "ptsupr"}},
	
	-- THE NOISE
	{skin = "noice-skl", 
	form = {color = "hyper", music = "ptnois"}},
	
	-- Shoutouts to Colonel & Saturn
	{skin = "cone",
	form = {music = "conesp", color = "orange", beam = SKINCOLOR_ORANGE},
	emeralds = {sprite = {{SPR_EMCI, 4}}, count = 3, colors = {SKINCOLOR_GOLD, SKINCOLOR_SILVER, SKINCOLOR_CINNAMON}}
	},
	
	--Race as a Ring!
	{skin = "ringracer",
	form = {color = "hyper", music = "ringsp"}
	},

	-- The Yakuza Boys
	{skin = "kiryu",
	form = {color = "white", beam = SKINCOLOR_GREY, music = "y0tusk"}},
	
	{skin = "majima",
	form = {color = "pink", beam = SKINCOLOR_BYZANTIUM, music = "y0tusk"}}
)

local yellow_table = {"aiai", "ray"}
for _,v in ipairs(yellow_table) do
	MasterEmerald.AddTransformation({skin = v, form = {color = "yellow"}})
end
local orange_table = {"tails","kuze","arle","cream"}
for _,v in ipairs(orange_table) do
	MasterEmerald.AddTransformation({skin = v, form = {color = "orange", beam = SKINCOLOR_ORANGE}})
end
local red_table = {"knuckles","mighty","gamma","omega","darkchao","motobug"}
for _,v in ipairs(red_table) do
	MasterEmerald.AddTransformation({skin = v, form = {color = "red", beam = SKINCOLOR_RED}})
end
local pink_table = {"ulala","amy","sakura","espio","nights","rouge"}
for _,v in ipairs(pink_table) do
	MasterEmerald.AddTransformation({skin = v, form = {color = "pink", beam = SKINCOLOR_PINK}})
end
local blue_table = {"vyse","chaos"}
for _,v in ipairs(blue_table) do
	MasterEmerald.AddTransformation({skin = v, form = {color = "blue", beam = SKINCOLOR_BLUE}})
end
local aqua_table = {"gunvolt","copen","chao","miku"}
for _,v in ipairs(aqua_table) do
	MasterEmerald.AddTransformation({skin = v, form = {color = "aqua", beam = SKINCOLOR_CYAN}})
end
local green_table = {"beat","wonderboy","doom","vector"}
for _,v in ipairs(green_table) do
	MasterEmerald.AddTransformation({skin = v, form = {color = "green", beam = SKINCOLOR_GREEN}})
end
local white_table = {"herochao","aigis"}
for _,v in ipairs(white_table) do
	MasterEmerald.AddTransformation({skin = v, form = {color = "white", beam = SKINCOLOR_WHITE}})
end
local cream_table = {"shadow","silver"}
for _,v in ipairs(cream_table) do
	MasterEmerald.AddTransformation({skin = v, form = {color = "cream", beam = SKINCOLOR_CREAMSICLE}})
end