local FRACUNIT = FRACUNIT
local TICRATE = TICRATE

addHook("MapLoad", function()
	
	for p in players.iterate
		p.lastsupercheck = 0
	end
end)

addHook("PlayerThink", function(p)
	if leveltime == 0 then return end
	if not (p.mo and p.mo.valid) then return end
	if p.spectator then return end
	p.lastsupercheck = $ or 0
	
	if p.masteremerald.super ~= p.lastsupercheck
	and p.masteremerald.super ~= nil
	and leveltime >= 236 then
		local xbeam = P_SpawnMobj(p.mo.x, p.mo.y, p.mo.z, MT_XEMBEAM)
		xbeam.scale = 3*mapobjectscale
		xbeam.target = p.mo
		xbeam.color = MasterEmerald.Transformations[p.mo.skin] and MasterEmerald.Transformations[p.mo.skin].form.beam or SKINCOLOR_GOLD

		if p.masteremerald.super then
			S_StartSound(nil, sfx_s3k9f)
		else
			S_StartSound(p.mo, sfx_lvpass)
		end
	end
		
	p.lastsupercheck = p.masteremerald.super

end)

local function Emerald_LaserVisuals(mo)
	if not (mo and mo.valid) then return end
	
	if (leveltime & 1) then
		mo.flags2 = $ | MF2_DONTDRAW
	else
		mo.flags2 = $ & ~MF2_DONTDRAW
	end
end
addHook("MobjThinker", Emerald_LaserVisuals, MT_XEMBEAM)