if not HQTimerEdit then rawset(_G, "HQTimerEdit", true) else return end
// video games
local function startBoost(p,b)
	
	if b == 0
		if leveltime < 270
			return p.kartstuff[k_startboost]
		elseif leveltime >= 270
			return 0
		end
	elseif b == 1
		if leveltime < 270
			return 0
		elseif leveltime >= 270
			return p.kartstuff[k_startboost]
		end
	
	end
	
end

local function getgrowfunny(p)
	if not (HugeQuest and p.hugequest and p.hugequest.huge) then return 0 end
	return p.hugequest.huge
end

local function getsuperfunny(p)
	return 0
end

local function fuckinvinc(p)
	if (p.masteremerald and p.masteremerald.super) then return 0 end
	return p.kartstuff[k_invincibilitytimer]
end

local function getRingTimer(p)
	if not ringsOn then return 0 end
	if not p.ringstuff then return 0 end
	
	return p.ringstuff.boost
end

local function getkartstufftimer(p, thing)
	return p.kartstuff[thing]
end

local function getspintimer(p)
	return max(p.kartstuff[k_spinouttimer], p.kartstuff[k_wipeoutslow])
end

IT_AddItemTimer({
	name = "growplus",
	timer = getgrowfunny,
	patches = {"K_ISGROW"},
	anim_frames = 1
})

IT_EditItemTimer({
	name = "invincible",
	timer = fuckinvinc,
	patches = {"K_ISINV1", "K_ISINV2", "K_ISINV3", "K_ISINV4", "K_ISINV5", "K_ISINV6"},
	anim_frames = 3
})

IT_EditItemTimer({
	name = "driftsparkboost",
	timer = {getkartstufftimer, k_driftboost},
	patches = {"BSSMA0", "BSSMB0", "BSSMC0", "BSSMD0", "BSSME0", "BSSMF0", "BSSMG0", "BSSMH0"},
	color = function(v, icon, timer)
		local cmap = nil
		if timer > 85 then
			cmap = v.getColormap(TC_DEFAULT, (1+leveltime%(MAXSKINCOLORS-1)))
		elseif timer > 50
			cmap = v.getColormap(TC_DEFAULT, SKINCOLOR_SAPPHIRE)
		elseif timer > 20 then
			cmap = v.getColormap(TC_DEFAULT, SKINCOLOR_KETCHUP)
		else
			cmap = v.getColormap(TC_DEFAULT, SKINCOLOR_YELLOW)
		end
		return cmap
	end,
	anim_frames = 3,
	xOffset = -2
})

IT_EditItemTimer({
	name = "ringboost",
	timer = getRingTimer,
	patches = {"K_ISRING"},
	color = function(v, icon, timer)
		local cmap = nil
		if timer > 50 then
			cmap = v.getColormap(TC_DEFAULT, (1+leveltime%(MAXSKINCOLORS-1)))
		elseif timer > 20 then
			cmap = v.getColormap(TC_DEFAULT, SKINCOLOR_KETCHUP)
		else
			cmap = v.getColormap(TC_DEFAULT, SKINCOLOR_SAPPHIRE)
		end
		return cmap
	end,
	anim_frames = 3,
	xOffset = 2,
	yOffset = -16
})

IT_AddItemTimer({
	name = "superform",
	timer = getsuperfunny,
	patches = {"K_HFEMR1", "K_HFEMR2", "K_HFEMR3", "K_HFEMR4"},
	anim_frames = 3,
	xOffset = 1,
	yOffset = -16
})